package com.ruoyi.asset.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 资产类别对象 ams_asset_category
 * 
 * @author Yangk
 * @date 2026-06-04
 */
public class AmsAssetCategory extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 类别ID */
    private Long categoryId;

    /** 类别编码 */
    @Excel(name = "类别编码")
    private String categoryCode;

    /** 类别名称 */
    @Excel(name = "类别名称")
    private String categoryName;

    /** 默认维保周期，单位月 */
    @Excel(name = "默认维保周期，单位月")
    private Long defaultMaintenanceCycle;

    /** 默认使用寿命，单位月 */
    @Excel(name = "默认使用寿命，单位月")
    private Long defaultUseLife;

    /** 启用状态：Y启用，N停用 */
    @Excel(name = "启用状态：Y启用，N停用")
    private String enabled;

    /** 删除标志：0存在，1删除 */
    private String delFlag;

    public void setCategoryId(Long categoryId) 
    {
        this.categoryId = categoryId;
    }

    public Long getCategoryId() 
    {
        return categoryId;
    }

    public void setCategoryCode(String categoryCode) 
    {
        this.categoryCode = categoryCode;
    }

    public String getCategoryCode() 
    {
        return categoryCode;
    }

    public void setCategoryName(String categoryName) 
    {
        this.categoryName = categoryName;
    }

    public String getCategoryName() 
    {
        return categoryName;
    }

    public void setDefaultMaintenanceCycle(Long defaultMaintenanceCycle) 
    {
        this.defaultMaintenanceCycle = defaultMaintenanceCycle;
    }

    public Long getDefaultMaintenanceCycle() 
    {
        return defaultMaintenanceCycle;
    }

    public void setDefaultUseLife(Long defaultUseLife) 
    {
        this.defaultUseLife = defaultUseLife;
    }

    public Long getDefaultUseLife() 
    {
        return defaultUseLife;
    }

    public void setEnabled(String enabled) 
    {
        this.enabled = enabled;
    }

    public String getEnabled() 
    {
        return enabled;
    }

    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("categoryId", getCategoryId())
            .append("categoryCode", getCategoryCode())
            .append("categoryName", getCategoryName())
            .append("defaultMaintenanceCycle", getDefaultMaintenanceCycle())
            .append("defaultUseLife", getDefaultUseLife())
            .append("enabled", getEnabled())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
